body {
    position: relative;
    width: 100vw;
    aspect-ratio: 5 / 2;
}

@media (min-width:320px) and (max-width: 400px) {
    html {
        font-size: 6px;
    }

    body {
        min-width: 320px;
        min-height: 120px;
    }
}

@media (min-width:400px) and (max-width: 577px) {
    html {
        font-size: 8px;
    }

    body {
        min-width: 320px;
        min-height: 120px;
    }
}

@media (min-width:577px) and (max-width: 780px) {
    html {
        font-size: 12px;
    }

    body {
        min-width: 320px;
        min-height: 120px;
    }
}

@media (min-width: 780px) and (max-width: 1220px) {
    html {
        font-size: 16px;
    }

    body {
        min-width: 780px;
        min-height: 300px;
    }
}

@media (min-width: 1220px) {
    html {
        font-size: 20px;
    }

    body {
        min-width: 780px;
        min-height: 300px;
    }
}

main {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    height: 84%;
}

footer {
    display: flex;
    width: 100%;
    height: 16%;
    justify-content: flex-end;
    align-items: center;
}

footer div.social-medias {
    width: 25%;
    margin-right: 1.5rem;
}

footer div.contact {
    width: 25%;
    font-size: 0.875rem;
    height: 100%;
}

footer div.social-medias ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

footer div.contact ul {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-evenly;
    height: 100%;
}

footer div.social-medias a  {
    width: auto;
    height:fit-content;
}

footer div.social-medias a > * {
    width: 1.5rem;
    height: 1.5rem;
}

footer div.contact a {
    display: flex;
    justify-content: start;
    align-items: center;
}

footer div.contact a svg {
    margin-right: 0.5rem;
}

/* main sections */

main section {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

main section.user-avatar {
    width: 50%;
}

main section.user-info {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

/* INIT AVATAR */

main section.user-avatar::before {
    content: '';
    position: absolute;
    width: 25%;
    background-color: #0081B4;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 0;
}

main section.user-avatar::after {
    content: '';
    position: absolute;
    height: 2%;
    aspect-ratio: 1/1;
    background-color: #0081B4;
    left: 25%;
    top: 0;
    border-radius: 0 50% 50% 0;
    z-index: 0;
}

.user-avatar img {
    border-radius: 50%;
    box-sizing: border-box;
    border: 1rem solid #FAD3E7;
    aspect-ratio: 1/1;
    height: 66%;
    object-fit: cover;
    object-position: top;
    z-index: 2;
}

.user-avatar .user-avatar-outer-shadow {
    content: '';
    width: 50%;
    height: 100%;
    left: 0;
    top: 0;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
}

.user-avatar .user-avatar-outer-shadow::after {
    content: '';
    position: absolute;
    background-color: #f6f6f6;
    border-radius: 50%;
    height: 96%;
    top: 2%;
    margin: 0 auto;
    aspect-ratio: 1/1;
    z-index: 1;
    border: 1rem #ff0000;
    box-sizing: border-box;
}

/* END AVATAR */

h1 {
    font-size: 3rem;
    font-weight: 700;
    line-height: 3rem;
}

h2 {
    font-size: 1.5rem;
    font-weight: 300;
    line-height: 1.5rem;
}

h3 {
    font-size: 1.25rem;
    font-weight: 300;
    line-height: 1.25rem;
}

p {
    font-size: 0.75rem;
}

h1,
h2,
h3,
hr {
 margin-top: 0.5rem;
 margin-bottom: 0.5rem;
}

section.user-info  {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

section.user-info ul.top-technologies {
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0;
    margin-top: 0.5rem;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    flex-grow: 1;
    flex-wrap: wrap;
}

section.user-info ul.top-technologies li {
    display: flex;
    flex-direction: column;
    justify-content:space-evenly;
    align-items: center;
    min-width: 4rem;
    max-width: 5rem;
}

section.user-info ul.top-technologies img {
    width: 2.25rem;
}

section.user-info ul.top-technologies p {
    text-align: center;
}